Package ghidra.program.model.util

# Interface VoidPropertyMap

All Superinterfaces:
  `PropertyMap<Boolean>`

All Known Implementing Classes:
  `DBTraceProgramViewPropertyMapManager.DBTraceProgramViewVoidPropertyMap`, `VoidPropertyMapDB`

public interface VoidPropertyMap extends PropertyMap<Boolean>
Property manager that deals with properties that are of "void" type, which is a marker for whether a property exists. Object values returned are either `Boolean.TRUE` or null.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Address addr)`
  Mark the specified address as having a property
  `default void`
  `add(Address addr, Object value)`
  Apply property value to specified address.
  `default Class<Boolean>`
  `getValueClass()`
  Returns property value class.

  ### Methods inherited from interface ghidra.program.model.util.PropertyMap

  `get, getFirstPropertyAddress, getLastPropertyAddress, getName, getNextPropertyAddress, getPreviousPropertyAddress, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getSize, hasProperty, intersects, intersects, moveRange, remove, removeRange`

- ## Method Details

  - ### getValueClass

    default Class<Boolean> getValueClass()
    Description copied from interface: `PropertyMap`
    Returns property value class.
    Specified by:
      `getValueClass` in interface `PropertyMap<Boolean>`
    Returns:
      property value class or null for an unsupported map type

  - ### add

    void add(Address addr)
    Mark the specified address as having a property
    Parameters:
      `addr` - address for the property

  - ### add

    default void add(Address addr, Object value)
    Apply property value to specified address.
    Specified by:
      `add` in interface `PropertyMap<Boolean>`
    Parameters:
      `addr` - property address
      `value` - boolean value (null or false will remove property value)
    Throws:
      `IllegalArgumentException` - if value specified is not a Boolean or null